// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/sode/commands/BaseCommand"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class SetStateCmd : BaseCommand
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public SetStateCmd(const string &state) : BaseCommand("setState")
  {
    _state = state;
  }

//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------
  protected vector<CommandParameter> GetCommandParameters()
  {
    vector<CommandParameter> cmdParam;

    cmdParam.append(CommandParameter("state", _state));

    return cmdParam;
  }

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private data
//--------------------------------------------------------------------------------
  private string _state;
};
