// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/sode/replies/BaseReply"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class GetTextConfigRply : BaseReply
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public GetTextConfigRply(const ReplyContent &content) : BaseReply(content)
  {
  }

  public string GetTextPosition()
  {
    return GetParameterValue("txtPosition");
  }

  public string GetTextSize()
  {
    return GetParameterValue("txtSize");
  }

  public string GetTextColor()
  {
    return GetParameterValue("txtColor");
  }

//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

};
