// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/sode/replies/BaseReply"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class GetVlcConfigRply : BaseReply
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public GetVlcConfigRply(const ReplyContent &content) : BaseReply(content)
  {
  }

  public string GetDelay()
  {
    return GetParameterValue("vlcDelayAfterConnect");
  }

  public string GetCaching()
  {
    return GetParameterValue("vlcNetworkCaching");
  }

//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

};
