// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/bsa/BsaObject"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class VmsCameraHMIObject : BsaObject
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public VmsCameraHMIObject(const string &cameraObjectDpName) :
      BsaObject(cameraObjectDpName)
  {
  }

  public string GetMonitorText()
  {
    return GetMonitorTextFromCameratDP(GetObjectDpName());
  }

//--------------------------------------------------------------------------------
//@public static members
//--------------------------------------------------------------------------------
  public static string GetMonitorTextFromCameratDP(const string &cameraObjectDpName)
  {
    string monitorText;
    dpGet(cameraObjectDpName + ".config.monitorText", monitorText);

    return monitorText;
  }
//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private data
//--------------------------------------------------------------------------------

};
