// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/vms/sodeObject/sodeInterfaceHandler/SodeInterfaceHandler"

//--------------------------------------------------------------------------------
// Variables and Constants
shared_ptr<SodeInterfaceHandler> sodeInterfaceHandler;

//--------------------------------------------------------------------------------
/**
*/
main()
{
  sodeInterfaceHandler = new SodeInterfaceHandler();

  sysConnect("exitRequestCB", "exitRequested");  //mma: connect to the exit signal to gracefully stop the sode interface handler

  sodeInterfaceHandler.Run();  //mma: start the interface handler
}

void exitRequestCB(string event, int exitCode)
{
  DebugTN(__FUNCTION__);

  sodeInterfaceHandler.Stop();
}
