// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/sode/commands/BaseCommand"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class SetDisplayCmd : BaseCommand
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public SetDisplayCmd(const string &text,
                       const string &addText,
                       const string &urlCamera) : BaseCommand("setDisplay")
  {
    _text = text;
    _addText = addText;
    _urlCamera = urlCamera;
  }

//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------
  protected vector<CommandParameter> GetCommandParameters()
  {
    vector<CommandParameter> cmdParam;

    cmdParam.append(CommandParameter("txtDisplay", _text));
    cmdParam.append(CommandParameter("txtAddDisplay", _addText));
    cmdParam.append(CommandParameter("urlCamera", _urlCamera));

    return cmdParam;
  }

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private data
//--------------------------------------------------------------------------------
  private string _text;
  private string _addText;
  private string _urlCamera;
};
