// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/sode/commands/BaseCommand"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class SetTextConfigCmd : BaseCommand
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public SetTextConfigCmd(const string &position,
                          const string &size,
                          const string &color) : BaseCommand("setTextConfig")
  {
    _position = position;
    _size = size;
    _color = color;
  }

//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------
  protected vector<CommandParameter> GetCommandParameters()
  {
    vector<CommandParameter> cmdParam;

    cmdParam.append(CommandParameter("txtPosition", _position));
    cmdParam.append(CommandParameter("txtSize", _size));
    cmdParam.append(CommandParameter("txtColor", _color));

    return cmdParam;
  }

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private data
//--------------------------------------------------------------------------------
  private string _position;
  private string _size;
  private string _color;
};
