// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author mmarchhart
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)
#uses "classes/sode/commands/BaseCommand"

//--------------------------------------------------------------------------------
// Variables and Constants

//--------------------------------------------------------------------------------
/**
*/
class SetVlcConfigCmd : BaseCommand
{
//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------

  //------------------------------------------------------------------------------
  /** The Default Constructor.
  */
  public SetVlcConfigCmd(const string &delay,
                          const string &cach) : BaseCommand("setVlcConfig")
  {
    _delay = delay;
    _cach = cach;
  }

//--------------------------------------------------------------------------------
//@protected members
//--------------------------------------------------------------------------------
  protected vector<CommandParameter> GetCommandParameters()
  {
    vector<CommandParameter> cmdParam;

    cmdParam.append(CommandParameter("vlcDelayAfterConnect", _delay));
    cmdParam.append(CommandParameter("vlcNetworkCaching", _cach));

    return cmdParam;
  }

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------

//--------------------------------------------------------------------------------
//@private data
//--------------------------------------------------------------------------------
  private string _delay;
  private string _cach;

};
